OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions | Variables
fios_gui.cpp File Reference

GUIs for loading/saving games, scenarios, heightmaps, ... More...

`#include "stdafx.h"`
`#include "saveload/saveload.h"`
`#include "error.h"`
`#include "gui.h"`
`#include "gfx_func.h"`
`#include "command_func.h"`
`#include "network/network.h"`
`#include "network/network_content.h"`
`#include "strings_func.h"`
`#include "fileio_func.h"`
`#include "fios.h"`
`#include "window_func.h"`
`#include "tilehighlight_func.h"`
`#include "querystring_gui.h"`
`#include "engine_func.h"`
`#include "landscape_type.h"`
`#include "date_func.h"`
`#include "core/geometry_func.hpp"`
`#include "gamelog.h"`
`#include "widgets/fios_widget.h"`
`#include "table/sprites.h"`
`#include "table/strings.h"`
`#include "safeguards.h"`

Go to the source code of this file.

## Data Structures
struct | SaveLoadWindow

## Functions
static void | SortSaveGameList (FileList &file_list)
| Sort the collected list save games prior to displaying it in the save/load gui.
void | ShowSaveLoadDialog (AbstractFileType abstract_filetype, SaveLoadOperation fop)
| Launch save/load dialog in the given mode.

## Variables
LoadCheckData | _load_check_data
| Data loaded from save during SL_LOAD_CHECK.
static bool | _fios_path_changed
static bool | _savegame_sort_dirty
static const NWidgetPart | _nested_load_dialog_widgets []
| Load game/scenario with optional content download.
static const NWidgetPart | _nested_load_heightmap_dialog_widgets []
| Load heightmap with content download.
static const NWidgetPart | _nested_save_dialog_widgets []
| Save game/scenario.
static const TextColour | _fios_colours []
| Text colours of DetailedFileType fios entries in the window.
static WindowDesc | _load_dialog_desc (WDP_CENTER,"load_game", 500, 294, WC_SAVELOAD, WC_NONE, 0, _nested_load_dialog_widgets, lengthof(_nested_load_dialog_widgets))
| Load game/scenario.
static WindowDesc | _load_heightmap_dialog_desc (WDP_CENTER,"load_heightmap", 257, 320, WC_SAVELOAD, WC_NONE, 0, _nested_load_heightmap_dialog_widgets, lengthof(_nested_load_heightmap_dialog_widgets))
| Load heightmap.
static WindowDesc | _save_dialog_desc (WDP_CENTER,"save_game", 500, 294, WC_SAVELOAD, WC_NONE, 0, _nested_save_dialog_widgets, lengthof(_nested_save_dialog_widgets))
| Save game/scenario.

## Detailed Description

GUIs for loading/saving games, scenarios, heightmaps, ...

Definition in file fios_gui.cpp.

## Function Documentation

void ShowSaveLoadDialog | ( | AbstractFileType | abstract_filetype,
|  | SaveLoadOperation | fop
| ) |  |

Launch save/load dialog in the given mode.

Parameters

  abstract_filetype | Kind of file to handle.
  fop | File operation to perform (load or save).

Definition at line 768 of file fios_gui.cpp.

References _file_to_saveload, _load_dialog_desc, _load_heightmap_dialog_desc, _save_dialog_desc, FileToSaveLoad::abstract_ftype, DeleteWindowById(), FT_HEIGHTMAP, SLO_SAVE, and WC_SAVELOAD.

Referenced by MenuClickSaveLoad(), SelectGameWindow::OnClick(), NetworkStartServerWindow::OnClick(), and MainToolbarWindow::OnHotkey().

static void SortSaveGameList | ( | FileList & | file_list | ) |
| static

Sort the collected list save games prior to displaying it in the save/load gui.

Parameters

  [inout] | file_list List of save game files found in the directory.

Definition at line 206 of file fios_gui.cpp.

References FileList::Begin(), CompareFiosItems(), FileList::End(), FileList::Get(), FileList::Length(), and QSortT().

Referenced by SaveLoadWindow::OnPaint().

## Variable Documentation

const TextColour _fios_colours[]
| static

Initial value:
{
TC_LIGHT_BROWN,
TC_ORANGE,
TC_YELLOW,
TC_ORANGE,
TC_LIGHT_BLUE,
TC_DARK_GREEN,
TC_DARK_GREEN,
TC_ORANGE,
}

Text colours of DetailedFileType fios entries in the window.

Definition at line 190 of file fios_gui.cpp.

Referenced by SaveLoadWindow::DrawWidget().